Name:           sfk
Version:        1.7.4
Release:        1%{?dist}
Summary:        The Swiss File Knife File Tree Processor
License:        BSD
URL:            http://stahlworks.com/sfk/
Source0:        http://downloads.sourceforge.net/project/swissfileknife/1-swissfileknife/%{version}/sfk-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake

%description
Swiss File Knife (SFK) is a command line multi function tool created by 
StahlWorks Technologies which combines many functions in a single, portable 
executable that belongs onto every USB stick. Search and convert text files, 
instant simple FTP/HTTP server, find duplicate files, compare folders, 
treesize, run own commands on all files of a folder.

Note that Fedora ships the OSE(Open Source Edition) version of sfk.

%prep
%setup -q
# More friendly to users
%if 0%{?fedora}
sed -i 's|"linux-lib6"|"Fedora %{?fedora} %{?_arch}"|' sfk.cpp
%endif

%if 0%{?rhel}
sed -i 's|"linux-lib6"|"Red Hat Enterprise Linux %{?rhel} %{?_arch}"|' sfk.cpp
%endif

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
%make_install

%check
pushd scripts/
chmod +x 03-sfk-selftest-ux.bat && ./$_

%files
%doc AUTHORS ChangeLog
%license COPYING
%{_bindir}/sfk

%changelog
* Thu Feb 12 2015 Christopher Meng <rpm@cicku.me> - 1.7.4-1
- Update to 1.7.4

* Thu Jan 29 2015 Christopher Meng <rpm@cicku.me> - 1.7.3-1
- Update to 1.7.3

* Thu Jul 17 2014 Christopher Meng <rpm@cicku.me> - 1.7.2-1
- Update to 1.7.2

* Fri Mar 21 2014 Christopher Meng <rpm@cicku.me> - 1.7.1-1
- Update to 1.7.1

* Fri Feb 14 2014 Christopher Meng <rpm@cicku.me> - 1.7.0-1
- Update to 1.7.0

* Fri Dec 09 2011 Christopher Meng <rpm@cicku.me> - 1.6.3-1
- Initial Package.
